## com.arsdigita.cms.webpage.ui
Class WebpagePortletEditorPage

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.Page
                          com.arsdigita.cms.dispatcher.CMSPage
                              com.arsdigita.cms.webpage.ui.WebpagePortletEditorPage

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.dispatcher.Dispatcher, com.arsdigita.util.Lockable, com.arsdigita.cms.dispatcher.ResourceHandler

public class WebpagePortletEditorPage
extends com.arsdigita.cms.dispatcher.CMSPage

Nested Class Summary
`protected class` `WebpagePortletEditorPage.CurrentApplicationLinkPrinter`
`class` `WebpagePortletEditorPage.WebpagePortletEditorForm`

Field Summary
`static String` `CATEGORIES`
`static String` `PORTLET_ID`
`static org.apache.log4j.Logger` `s_log`

Fields inherited from class com.arsdigita.cms.dispatcher.CMSPage
`ASSETS, CMS_XML_NS, PAGE_CLASS, versionId`

Fields inherited from class com.arsdigita.bebop.Page
`m_invisible, m_panel`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebpagePortletEditorPage()`

Method Summary
`protected void` `buildPage()`

Methods inherited from class com.arsdigita.cms.dispatcher.CMSPage
`dispatch, generateXMLHelper, getContentItem, getContentItem, getContentSection, getContentSection, getCurrentUser, getXMLParameter, init, setXMLParameter`

Methods inherited from class com.arsdigita.bebop.Page

`add, add, addActionListener, addClientStylesheet, addComponent, addComponentStateParam, addGlobalStateParam, addRequestListener, buildDocument, children, contains, fireActionEvent, fireRequestEvent, generateXML, generateXML, get, getComponent, getComponentParameters, getErrorDisplay, getPanel, getParameters, getStateModel, getTitle, getTitle, indexOf, isEmpty, isUsingHttpSession, isVisibleDefault, lock, parameterName, parameterName, prepare, process, process, removeActionListener, removeRequestListener, respond, setErrorDisplay, setPanel, setStyleSheet, setTitle, setTitle, setUsingHttpSession, setVisibleDefault, size, stateContains, stateIndex, stateSize`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### s_log

    public static final org.apache.log4j.Logger s_log

### PORTLET_ID

    public static final String PORTLET_ID

See Also:
  Constant Field Values

### CATEGORIES

    public static final String CATEGORIES

See Also:
  Constant Field Values

Constructor Detail

### WebpagePortletEditorPage

    public WebpagePortletEditorPage()

Method Detail

### buildPage

    protected void buildPage()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC